<?php
	require_once '../sources/p2sApiService.php';

	/*
	 * Example for getCurrentPricingData with the fix for the error shown below:
	 * Error: Couldn't load from 'https://api.price2spy.com/soap?wsdl' : failed to load external entity "https://api.price2spy.com/soap?wsdl"
	*/
	$context = stream_context_create([
		'ssl' => [
			'ciphers' => 'DHE-RSA-AES256-SHA:DHE-DSS-AES256-SHA:AES256-SHA:KRB5-DES-CBC3-MD5:KRB5-DES-CBC3-SHA:EDH-RSA-DES-CBC3-SHA:EDH-DSS-DES-CBC3-SHA:DES-CBC3-SHA:DES-CBC3-MD5:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA:AES128-SHA:RC2-CBC-MD5:KRB5-RC4-MD5:KRB5-RC4-SHA:RC4-SHA:RC4-MD5:RC4-MD5:KRB5-DES-CBC-MD5:KRB5-DES-CBC-SHA:EDH-RSA-DES-CBC-SHA:EDH-DSS-DES-CBC-SHA:DES-CBC-SHA:DES-CBC-MD5:EXP-KRB5-RC2-CBC-MD5:EXP-KRB5-DES-CBC-MD5:EXP-KRB5-RC2-CBC-SHA:EXP-KRB5-DES-CBC-SHA:EXP-EDH-RSA-DES-CBC-SHA:EXP-EDH-DSS-DES-CBC-SHA:EXP-DES-CBC-SHA:EXP-RC2-CBC-MD5:EXP-RC2-CBC-MD5:EXP-KRB5-RC4-MD5:EXP-KRB5-RC4-SHA:EXP-RC4-MD5:EXP-RC4-MD5',
		],
	]);

	$wsdl_location = 'https://api.price2spy.com/soap?wsdl';
	$p2sApi = new p2sApiService(array('stream_context' => $context), $wsdl_location);
	
	$apiKey = 'xyz';
	
	$getCurrentPricingDataRequestType = new getCurrentPricingDataRequestType();
	$getCurrentPricingDataRequestType->apiKey = $apiKey;
	$getCurrentPricingDataRequestType->search = new searchProductsType();
	
	$products = $p2sApi->getCurrentPricingData($getCurrentPricingDataRequestType);
	
	echo 'Found '.count($products->products->product).' products:<br/><hr/>';
	if($products->products->product != null) {
		foreach($products->products->product as $product) {
			echo $product->productName . ' has: ' . count($product->urls->url) . ' urls:<br/>';
			if(count($product->urls->url) == 1) {
				echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
				echo $product->urls->url->siteHumanName . '<br/>';
			} else {
				foreach($product->urls->url as $url) {
					echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
					echo $url->siteHumanName . '<br/>';
				}
			}
		}
	}
?>
